---
title: Customer Preference
description: Get or set customer card usage preferences such as contactless, ATM, POS, or ECOM.
---

This API is for get customer preference of the card can be done through prepaid card portal. We must pass entity id, status: allowed and type of card in request. If the request has valid details, we will get a success response.

#### POST
```
https://kraken.airpay.co.in/airpay/ms/cards/api/customer-preference
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| checksum  required | text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required) | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| token  required | text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| entity_id  required | text  <br>(1-50) | The Customer Id registered with the system. | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| status  optional | text | Status of type. | `ALLOWED,NOTALLOWED` |
| type  optional | text | card type. | `CONTACTLESS,ATM,POS,ECOM` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | numeric | airpay status | `400,200` |
| message  required | text | airpay status message | `Success,Fail` |
| data  required | json | [] |

## Request Example

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/customer-preference' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'status=ALLOWED' \
--data-urlencode 'type=CONTACTLESS'
```

### Success Response

```json
{
    "status": 200,
    "message": "success",
    "data": []
}
```

### Error Response

```json
{
    "status": 400,
    "message": "fail"
}
```